% Finite phase difference and Kay frequency estimation
%
% Estimates the instantaneous frequency of the input signal using
% General Phase Difference (FFD, CFD, 4th, 6th) and Kay Frequency
% Estimation
%
% Usage:
%
%     ife = pdeIF( signal, order [, window_length]);
%
% Inputs
%
%    signal
%
%	  Input one dimensional signal to be analysed.
%
%    order
%
%	  Order of the finite phase difference estimator. Available
%	  estimator orders are: 1, 2, 4, 6.
%
%    window_length
%
%	  Kay smoothing window length in the case of weighted phase
%	  difference estimator.  NB Set order = 1 for Kay's method.
%
%
%     For General Phase	Difference:
%
%     window_length:0;
%     order:1, 2, 4 or 6;
%
%     e.g. ife = pdeIF( signal, order);
%
%     for Kay smoothing weighted phase difference:
%
%     window_length: desired window length;
%     order=1;
%
%     e.g. ife = pdeIF( signal, 0, window_length );
%

% TFSA 6.4
% Copyright Prof. B. Boashash
% Signal Processing Research Concentration (SPRC)
% UQ Centre for Clinical Research 
% The University of Queensland
% Building 71/918
% Royal Brisbane and Women's Hospital
% Herston
% Queensland 4029
% Australia
%
% email: j.otoole@ieee.org
