% GENERATE VARIOUS TIME AND FREQUENCY-VARYING TEST SIGNALS
%
% Three types of signals can be generated:
%
%   1. Deterministic signals (s(t))
%   2. Noisy signals (n(t))
%   3. Deterministic signals in additive noise (s(t) + n(t))
%   4. Analytic signals
%   4. Demo signals
%
%
% 1. The type of deterministic signals s(t) that can be generated are:
%
%   (i)   Linear Frequency Modulated (FM)
%   (ii)  Quadratic FM
%   (iii) Cubic FM
%   (iv)  Stepped FM
%   (v)   Sinusoidal FM
%   (vi)  Hyperbolic FM
%
%   The sampling frequency and length of the signal can be specified.
%   Also the frequency bounds (starting and ending frequency) can be 
%   specified.
%
% 2. Noise types n(t) include:
%
%    (i) Uniformly distributed random variable
%    (ii) Gaussian distributed random variable
%
% 3. The signal s(t) can be added to noise n(t). 
%
% 4. An analytic associate (complex) can be generated from a real
%    input time domain signal.
%
% 5. Various types of demonstration signals can be loaded.
%
%
%
%  See Also:  gsig, analyt

